Skip to main content
GET
/
api
/
v2
/
secret-rotations
/
aws-iam-user-secret
cURL
curl --request GET \
  --url https://us.infisical.com/api/v2/secret-rotations/aws-iam-user-secret
import requests

url = "https://us.infisical.com/api/v2/secret-rotations/aws-iam-user-secret"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v2/secret-rotations/aws-iam-user-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "secretRotations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "rotationInterval": 123,
      "rotationStatus": "<string>",
      "lastRotationAttemptedAt": "2023-11-07T05:31:56Z",
      "lastRotatedAt": "2023-11-07T05:31:56Z",
      "connection": {
        "app": "aws",
        "name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "environment": {
        "slug": "<string>",
        "name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "projectId": "<string>",
      "folder": {
        "id": "<string>",
        "path": "<string>"
      },
      "rotateAtUtc": {
        "hours": 11.5,
        "minutes": 29.5
      },
      "type": "aws-iam-user-secret",
      "parameters": {
        "userName": "<string>"
      },
      "secretsMapping": {
        "accessKeyId": "<string>",
        "secretAccessKey": "<string>"
      },
      "description": "<string>",
      "isAutoRotationEnabled": true,
      "activeIndex": 0,
      "lastRotationJobId": "<string>",
      "nextRotationAt": "2023-11-07T05:31:56Z",
      "isLastRotationManual": true,
      "lastRotationMessage": "<string>"
    }
  ]
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Query Parameters

projectId
string
required

The ID of the project to list AWS IAM User Secret Rotations from.

Minimum string length: 1

Response

Default Response

secretRotations
object[]
required